org.eclipse.wst.jsdt.chromium.debug.jsdtbridge

## Class JsdtFormatterBridge

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.jsdtbridge.JsdtFormatterBridge

All Implemented Interfaces:
  JavaScriptFormatter

    public class JsdtFormatterBridge
    extends java.lang.Object
    implements JavaScriptFormatter

JSDT-based implementation of `JavaScriptFormatter`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.chromium.debug.core.model.JavaScriptFormatter

`JavaScriptFormatter.Access, JavaScriptFormatter.Result`

### Constructor Summary

Constructors
Constructor and Description
`JsdtFormatterBridge()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JavaScriptFormatter.Result` `format(java.lang.String sourceString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsdtFormatterBridge

    public JsdtFormatterBridge()

### Method Detail

#### format

    public JavaScriptFormatter.Result format(java.lang.String sourceString)

Specified by:
  `format` in interface `JavaScriptFormatter`